
from PySteppables import *
import CompuCell
import sys
import math
class lumenSteppable(SteppableBasePy):

    def __init__(self,_simulator,_frequency=1):
        SteppableBasePy.__init__(self,_simulator,_frequency)
    def start(self):

        # any code in the start function runs before MCS=0
        for cell in self.cellList:
            cell.targetVolume=cell.volume
            if cell.id==1:
                cell.lambdaVolume = 120.0
            else:
                cell.lambdaVolume = 12.0
            if cell.type==1:
                cell.targetSurface=cell.surface
                cell.lambdaSurface=2.0

                
                
    def step(self,mcs):
        #type here the code that will run every _frequency MCS
#         pass
#         for cell in self.cellList:
#             if cell.id==0:
#                 cell.lambdaVecX = 1500  
#                 cell.lambdaVecY = 0.0  
#                 cell.lambdaVecZ = 0.0  
#             if cell.id==2:
#                 cell.lambdaVecX = -1500  
#                 cell.lambdaVecY = 0.0  
#                 cell.lambdaVecZ = 0.0  
#             if cell.id==1:
#                 cell.lambdaVecX = .0  
#                 cell.lambdaVecY = 1500.0  
#                 cell.lambdaVecZ = 0.0                 
        for cell in self.cellList:
            if cell.type==2:
                cell.targetVolume+=1
                cell.targetSurface=2*math.pi*(cell.targetVolume/math.pi)**0.5
#                 if mcs<100:
#                     break
    def finish(self):
        # Finish Function gets called after the last MCS
        pass
        